Package uk.ac.starlink.topcat.activate

## Class UrlColumnConfigurator.UrlColumnActivator

- java.lang.Object
- - uk.ac.starlink.topcat.activate.UrlColumnConfigurator.LocationColumnActivator
  - - uk.ac.starlink.topcat.activate.UrlColumnConfigurator.UrlColumnActivator

- All Implemented Interfaces:
    `Activator`
  Enclosing class:
    UrlColumnConfigurator

      protected abstract static class UrlColumnConfigurator.UrlColumnActivator
      extends UrlColumnConfigurator.LocationColumnActivator

  Utility class providing a partial Activator implementation for UrlColumnConfigurators that want an actual URL value.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `UrlColumnActivator​(uk.ac.starlink.table.ColumnData cdata, boolean invokeOnEdt)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Outcome` | `activateLocation​(java.lang.String loc, long lrow)` | Consumes the location string corresponding to the row to perform the activation action.
    `protected abstract Outcome` | `activateUrl​(java.net.URL url, long lrow)` | Consumes the URL corresponding to the row to perform the activation action.

    - ### Methods inherited from class uk.ac.starlink.topcat.activate.UrlColumnConfigurator.LocationColumnActivator

      `activateRow, invokeOnEdt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlColumnActivator

          protected UrlColumnActivator​(uk.ac.starlink.table.ColumnData cdata,
                                       boolean invokeOnEdt)

      Constructor.
      Parameters:
        `cdata` - column data containing location strings
        `invokeOnEdt` - whether to invoke on the EDT

  - ### Method Detail

    - #### activateLocation

          protected final Outcome activateLocation​(java.lang.String loc,
                                                   long lrow)

      Description copied from class: `UrlColumnConfigurator.LocationColumnActivator`
      Consumes the location string corresponding to the row to perform the activation action.
      Specified by:
        `activateLocation` in class `UrlColumnConfigurator.LocationColumnActivator`
      Parameters:
        `loc` - location string, not null or blank
        `lrow` - row index
      Returns:
        outcome

    - #### activateUrl

          protected abstract Outcome activateUrl​(java.net.URL url,
                                                 long lrow)

      Consumes the URL corresponding to the row to perform the activation action.
      Parameters:
        `url` - URL, not null
        `lrow` - row index
      Returns:
        outcome